curl_url_cleanup(3)

NAME
curl_url_cleanup - free the URL handle

SYNOPSIS
#include <curl/curl.h>
void curl_url_cleanup(CURLU *handle);

DESCRIPTION
Frees all the resources associated with the given CURLU handle!

EXAMPLE
  CURLU *url = curl_url();
  curl_url_set(url, CURLUPART_URL, "https://example.com", 0);
  curl_url_cleanup(url);

AVAILABILITY
Added in 7.62.0

RETURN VALUE
none

SEE ALSO
curl_url_dup(3), curl_url(3), curl_url_set(3), curl_url_get(3), CURLOPT_CURLU(3),